## ros-melodic-rviz-animated-view-controller 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rviz_animated_view_controller)

find_package(cmake_modules REQUIRED)
find_package(Eigen3 3.3 REQUIRED)
find_package(Boost REQUIRED system filesystem)

find_package(PkgConfig REQUIRED)
# Ogre
pkg_check_modules(OGRE OGRE)

find_package(OpenGL REQUIRED)

find_package(catkin REQUIRED COMPONENTS
 cv_bridge
 image_transport
 rviz
 pluginlib
 geometry_msgs
 std_msgs
 view_controller_msgs
)

if(DEFINED rviz_QT_VERSION)
if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  ## pull in all required include dirs, define QT_LIBRARIES, etc.
  include(${QT_USE_FILE})

  
  qt4_wrap_cpp(MOC_FILES
    include/${PROJECT_NAME}/rviz_animated_view_controller.h
  )
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5Widgets ${rviz_QT_VERSION} EXACT REQUIRED)
  find_package(Qt5Core ${rviz_QT_VERSION} EXACT REQUIRED)
  ## make target_link_libraries(${QT_LIBRARIES}) pull in all required dependencies
  set(QT_LIBRARIES Qt5::Widgets)

  qt5_wrap_cpp(MOC_FILES
    include/${PROJECT_NAME}/rviz_animated_view_controller.h
  )
endif()
else()
  message(FATAL_ERROR "Could not detect Rviz Qt version")
endif()

add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs std_msgs view_controller_msgs
  )

include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${QT_INCLUDE_DIR}
                    ${OGRE_INCLUDE_DIRS}
                    ${OPENGL_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

add_library(${PROJECT_NAME}
  src/rviz_animated_view_controller.cpp
  ${MOC_FILES})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${OGRE_LIBRARIES}
                                      ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION} PATTERN ".svn" EXCLUDE)

install(FILES plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

=== debian/changelog ===
ros-melodic-rviz-animated-view-controller (0.2.0-2bionic) bionic; urgency=high

  * add license file
  * fix typo in README image link
  * clip gif a bit shorter
  * add README and demo gif
  * Add option to pause the current animation
  * Publish camera view images
  * accidentally deleted cv_bridge and image_transport
  * fix dependencies in package.xml
  * Add publisher for the current view camera pose
  * Add properties showing view window size in panel
  * Add support for camera trajectories messages
  * switch ci to use noetic-devel branch
  * add bool property allowing the user to activate publishing of the view images in the view controller
    Is automatically activated when a trajectory is requested to be rendered frame by frame.
  * add image publisher for rviz camera's view
    Publish what the user sees in the rviz visualization window.
    Publishing is only active when the render_frame_by_frame parameter is set to true in the CameraTrajectory message requesting the trajectory.
    Otherwise there is a lag on slower computers when the resolution of the view image is large.
  * add publisher for a message to indicate the animation is finished
  * add functionality to render the trajectory frame by frame with a specified number of frames per second
  * add support for view_controller_msgs::CameraTrajectory messages
    First, the movements requested using the CameraPlacement or CameraTrajectory messages are stored in a movement buffer.
    Then, animation is enabled, causing the update method to use the movements from the buffer to perform camera movements.
  * convert transformCameraPlacementToAttachedFrame method's parameter from whole CameraPlacement to only the relevant eye, focus and up
    this way the method is more general
  * add gh actions and gitignore
  * compile on kinetic Qt5
  * add myself as maintainer (#8 <https://github.com/ros-visualization/rviz_animated_view_controller/issues/8>)
  * Contributors: Evan Flynn, Gene Merewether, Razlaw, razlaw

 -- Evan Flynn <evanflynn.msu@gmail.com>  Thu, 19 Aug 2021 07:00:00 -0000

ros-melodic-rviz-animated-view-controller (0.1.1-2bionic) bionic; urgency=high

  * force package version
  * add demo launch file
  * update urls in package.xml
  * minor style fix
  * update plugin macro
  * apply catkin_lint
  * catkinized
  * minor change
  * separating...
  * separating packages
  * preparing for first release
  * removes CameraPlacementTrajectory from everything
  * removes CameraPlacementTrajectory
  * fixes singularity; simplifies up-vector
  * splits up msgs and plugin
  * moving from visualization trunk
  * Contributors: Adam Leeper, Sachin Chitta, aleeper

 -- Evan Flynn <evanflynn.msu@gmail.com>  Tue, 20 May 2014 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-rviz-animated-view-controller
Section: misc
Priority: optional
Maintainer: Evan Flynn <evanflynn.msu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-pluginlib, ros-melodic-rviz, ros-melodic-std-msgs, ros-melodic-view-controller-msgs
Homepage: http://ros.org/wiki/rviz_animated_view_controller
Standards-Version: 3.9.2

Package: ros-melodic-rviz-animated-view-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, qtbase5-dev, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-pluginlib, ros-melodic-rviz, ros-melodic-std-msgs, ros-melodic-view-controller-msgs
Description: A rviz view controller featuring smooth transitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rviz-animated-view-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
